Subject: Re: cygwin installer
From: Franz Wolfhagen <[email-masked]>
To: "Jonah Bossewitch" <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Jun 2004 08:50:11 +0200

Let us move this discussion to the list - I answered directly by a
mistake...

I understand your concerns very well - in that case I would copy the
necessary packages to a local download site - create a setup file that
includes your specific packages only and defaults to install everything you
have on your site.

This way you will be able to maintain your own site in a controlled manner,
but still give everybody the possibility to run with cygwin the way they
prefer....

I also believe that this is MUCH,MUCH easier than developing you own
installer btw...

Med venlig hilsen / Regards
Franz Wolfhagen

"Jonah Bossewitch" <[email-masked]> wrote on 23-06-2004 08:06:35:

> I do appreciate your caution, but I am still not convinced.
>
> The particular application we are porting targets ~30 students a
semester,
> most of whom are relative newbies.  Most will never have heard of cygwin,
> and would never use it for anything else ever again.  For them, I believe
> that a single click install which includes everything they need
> (cygwin1.dll, tcsh, awk, our binaries, whatever) would be idea.  If the
app
> works in this environment they are set.  I think that the wizard
installer
> would simply confuse them.
>
> Any students who happen to have cygwin installed, should be able to deal
> with installing the program themselves within their existing cygwin
> environment.  Perhaps it would be convenient for us to provide them with
a
> local package they could install, but for the majority of users I think
that
> an installer is preferable.
>
> Do you agree with this logic?
>
> best,
> Jonah
>
> ----- Original Message -----
> From: "Franz Wolfhagen" <[email-masked]>
> To: "Jonah Bossewitch" <[email-masked]>
> Sent: Wednesday, June 23, 2004 1:53 AM
> Subject: Re: cygwin installer
>
>
> >
> >
> >
> >
> > You should NOT develop a seperate installer - this is a
misunderstanding
> > many projects out there make.
> >
> > Instead you should package your application as a standard cygwin
package
> > (see the web site for instructions) - If you can get it included in the
> net
> > distro it is the best thing you can do - if not you can point people to
> you
> > install site and have it added to the download sites.
> >
> > It is possible if this is an internal application to have this extra
> > download site being a local site - in this case a custom setup file
might
> > also help.
> >
> > This way you will be able to have you cygwin1.dll updated and also
allow
> > people to use other parts of the cygwin portfolio without getting in
> > conflict with your own application.
> >
> > Yes - there is a risk that your application may break do to changes in
> > cygwin1.dll - I believe this is smaller problem than dealing with the
> > multitude of problems that arises when people try to deal with multiple
> > cygwin1.dlls...
> >
> > Med venlig hilsen / Regards
> > Franz Wolfhagen
> >
> >
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/